Skip to main content
`Ctrl`+`K`

# pandas.Series.struct.dtypes

Series.struct.dtypes

  Return the dtype object of each child field of the struct.

  Returns:
    pandas.Series

      The data type of each child field.

  Examples

      >>> import pyarrow as pa
      >>> s = pd.Series(
      ...     [
      ...         {"version": 1, "project": "pandas"},
      ...         {"version": 2, "project": "pandas"},
      ...         {"version": 1, "project": "numpy"},
      ...     ],
      ...     dtype=pd.ArrowDtype(pa.struct(
      ...         [("version", pa.int64()), ("project", pa.string())]
      ...     ))
      ... )
      >>> s.struct.dtypes
      version     int64[pyarrow]
      project    string[pyarrow]
      dtype: object